.quiz {
    display: flex;
    flex-direction: column;
    gap: var(--anresis-spacing-6);


    .question-title {
        font: var(--anresis-font-quiz-title);
        margin-block-end: var(--anresis-spacing-7);
    }

    .answers {
        display: flex;
        gap: var(--anresis-spacing-4);

        .answer {
            font: var(--anresis-font-quiz-answer);
            padding: var(--anresis-spacing-4) var(--anresis-spacing-7);
            cursor: pointer;
            text-transform: uppercase;
            color: var(--anresis-color-white-text);
            border: 4px solid transparent;
            position: relative;

            &::before {
                content: "";
                width: 40px;
                height: 40px;
                display: block;
                inset: 50%;
                background-repeat: no-repeat;
                background-size: contain;
                background-position: center;
                transform: translate(-50%, -50%);
                position: absolute;
            }

            &.disabled {
                background-color: #bbbbbb;
            }

            &.correct {
                border: 4px solid #009a45;

                &::before {
                    background-image: url(./checkmark.svg);
                }
            }

            &.wrong {
                border: 4px solid #ff4846;
                background-color: #bbbbbb;

                &::before {
                    background-image: url(./cross.svg);
                }
            }
        }

        .answer-true {
            background-color: #46D185;
        }

        .answer-false {
            background-color: #FF7373;
        }


    }

    .question-explanation {
        display: none;
        margin-block-start: var(--anresis-spacing-4);
    }

    .question {
        border-bottom: 1px solid #dddddd;
        padding-block-end: var(--anresis-spacing-6);

        &.is-answered {
            .question-explanation {
                display: block;
            }
        }

        &:last-child {
            border-bottom: none;
        }
    }
}
